#
# spec file for package python-django-classy-tags
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-classy-tags
Version:        1.0.0
Release:        bp153.1.21
Summary:        Class based template tags for Django
License:        MIT
URL:            https://github.com/ojii/django-classy-tags
Source:         https://github.com/divio/django-classy-tags/archive/%{version}.tar.gz
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
BuildArch:      noarch
%python_subpackages

%description
This project creates an altnerate way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.

%prep
%setup -q -n django-classy-tags-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Added isort and adapted imports
  * Adapted code base to align with other supported addons
  * Adapted README.rst instructions
  * Added support for Django 3.0
  * Added support for Python 3.8
* Mon May 20 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.0:
  * Fix with new python/django
- Remove merged django2.patch
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from description.
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Drop patch django-classy-tags_disable-test.patch
- Remove debian rules
- Use github tarball to get tests
- Add patch to work with current django releases:
  * django2.patch
- Make sure the tests are run
- Install license
* Thu Nov  1 2018 appleonkel@opensuse.org
- upgrade to 0.8.0
* Tue Mar 18 2014 oliver.bengs@opensuse.org
- initial build
- added patches:
  * django-classy-tags_disable-test.patch
